package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @description: 稳态消息
 * @author: denghuajun
 * @time: 2019-10-17 14:01:35
 **/
@Table(name = "App_SteadyMsg")
public class SteadyMsg {
	@Id
	@Column(name = "STEADY_INDEX")
    private String steadyIndex;//稳态消息列表Guid

	@Column(name = "USER_INDEX")
    private String userIndex;//	Varchar2(36)	Not NULL	(关联app_user表User_Index)权限用户id

	@Column(name = "TIMEID")
    private Date timeID;//	Datetime	Not NULL	统计时间
	
	@Column(name = "LINENUM")
    private int lineNum;//	Number(6)	Not NULL	越限监测点数

	@Column(name = "STATE")
    private Integer state;//	Number(1)	Not NULL	读取状态(0：未读，1：已读，2：删除)

    public String getSteadyIndex() {
        return steadyIndex;
    }

    public void setSteadyIndex(String steadyIndex) {
        this.steadyIndex = steadyIndex;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public Date getTimeID() {
        return timeID;
    }

    public void setTimeID(Date timeID) {
        this.timeID = timeID;
    }

    public int getLineNum() {
        return lineNum;
    }

    public void setLineNum(int lineNum) {
        this.lineNum = lineNum;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "SteadyMsg{" +
                "steadyIndex='" + steadyIndex + '\'' +
                ", userIndex='" + userIndex + '\'' +
                ", timeID=" + timeID +
                ", lineNum=" + lineNum +
                ", state=" + state +
                '}';
    }
}